﻿Public Class frmMain
    ' Declaration
    Private WithEvents myK8055 As New K8055()
    Private counter As Integer

    ' Form Load Event
    Private Sub frmMain_Load() Handles MyBase.Load
        Label1.Text = CStr(counter)
        myK8055.setupEvents(True, 100, K8055.EventConfiguration.ALL_DIGITAL)
        myK8055.connect(SK5:=True, SK6:=True)
    End Sub

    ' DigitalInputChangedOn event: it is called when an event on the K8055 was triggered.
    Private Sub myK8055_digitalInputChangedOn(cardid As Integer,
                                              channel_of_card As Integer,
                                              channel As Integer,
                                              state As Boolean) Handles myK8055.digitalInputChangedOn

        If channel = 1 Then counter += 1
        If channel = 2 Then counter -= 1

        Label1.Text = CStr(counter)
    End Sub
End Class
